def second_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property SecondAngle() As Angle (Read Only) | | Returns the revolution second angle. This angle is computed around the | revolution axis, starting from the sketch plane trace on the plane | perpendicular to the revolution axis, and is counted positive counterclockwise | when looking at this plane in the revolution axis direction. Its default value | is 0. | | Example: | The following example returns in secondAngle the second angle of the | MyRevolution revolution object: | | Set secondAngle = MyRevolution.SecondAngle :return: Angle :rtype: Angle """ return Angle(self.revolution.SecondAngle)
def begin_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property BeginAngle() As Angle (Read Only) | | Role: To get_BeginAngle on the object. | | Parameters: | | oAngle | return value for CATScript applications, with (IDLRETVAL) function | type | | See also: | Angle | Returns: | HRESULT S_OK if Ok E_FAIL else return error code for C++ | Implementations | See also: | HybridShapeFactory :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_revol.BeginAngle)
def tangency_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property TangencyAngle() As Angle (Read Only) | | Returns the Tangency Angle of the healing. | | Parameters: | | TangencyAngle | Angle parameter for retrieving the TangencyAngle. | | Example: | This example retrieves the TangencyAngle of the healing of the | HybShpHealing hybrid shape healing. | | Dim HybShpHealTangencyAngle As Angle | Set HybShpHealTangencyAngle = HybShpHealing.TangencyAngle :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_healing.TangencyAngle)
def head_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property HeadAngle() As Angle (Read Only) | | Returns the hole head angle. | This call is valid when the hole type is : Tapered or Counterdrilled or Countersunk. | | Returns: | oHeadAngle An Angle object controlling the hole head angle (see Angle | for more information) | | Example: | The following example returns in holeHeadAngle the head angle of | hole firstHole: | | Set holeHeadAngle = firstHole.HeadAngle :return: Angle :rtype: Angle """ return Angle(self.hole.HeadAngle)
def bottom_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property BottomAngle() As Angle (Read Only) | | Returns the hole bottom angle. | This call is valid when the hole bottom type is : VBottom. | | Returns: | oBottomAngle An Angle object controlling the hole bottom angle (see | Angle for more information) | | Example: | The following example returns in holeBottomAngle the bottom angle | of hole firstHole: | | Set holeBottomAngle = firstHole.BottomAngle :return: Angle :rtype: Angle """ return Angle(self.hole.BottomAngle)
def begin_meridian_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property BeginMeridianAngle() As Angle (Read Only) | | Returns BeginMeridianAngle on the object. | | Parameters: | | oAngle | return value for CATScript applications, with (IDLRETVAL) function | type | | See also: | Angle | See also: | HybridShapeFactory :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_sphere.BeginMeridianAngle)
def get_maximum_angle(self, i_range_id: str) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)) | o Func getMaximumAngle(CATBSTR iRangeId) As Angle :param str i_range_id: :return: Angle :rtype: Angle """ return Angle( self.defeaturing_filter_with_range.getMaximumAngle(i_range_id))
def angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property Angle() As Angle (Read Only) | | returns the resulting angle of extremum. :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_extremum_polar.Angle)
def ending_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property EndingAngle() As Angle | | Reads / Changes the Ending Angle of the Spiral. :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_spiral.EndingAngle)
def smooth_angle_threshold(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property SmoothAngleThreshold() As Angle (Read Only) | | Returns the angular threshold. :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_sweep_circle.SmoothAngleThreshold)
def angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property Angle() As Angle (Read Only) | | Returns the rotation angle. :return: Angle :rtype: Angle """ return Angle(self.rotate.Angle)
def smooth_angle_threshold(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property SmoothAngleThreshold() As Angle (Read Only) | | Returns angular threshold under which discontinuities . | moving frame,tangency net on reference surface will be smoothed when | sweeping. :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_sweep_conic.SmoothAngleThreshold)
def axis_rotation_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property AxisRotationAngle() As Angle (Read Only) | | Returns the rotation angle of an axis system. Succeeds only if the axis | system is defined by a rotation around an axis, wich means that its type is | catAxisSystemAxisRotation. :return: Angle :rtype: Angle """ return Angle(self.axis_system.AxisRotationAngle)
def get_plane_axis_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)) | o Func GetPlaneAxisAngle() As Angle | | Retrieves the rotation angle. | Role: The rotation angle is expressed in the planar coordinate system | related to the 2D planar wire from its default position. | | Returns: | The rotation value :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_develop.GetPlaneAxisAngle())
def angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property Angle() As Angle (Read Only) | | Role: Get the angle to the reference curve of the line. | | Parameters: | | oAngle | angle :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_line_angle.Angle)
def taper_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property TaperAngle() As Angle (Read Only) | | Reads the helix taper angle. | | Parameters: | | oTaperAngle | Taper angle. :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_helix.TaperAngle)
def tangency_threshold(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property TangencyThreshold() As Angle (Read Only) | | Returns the TangencyThreshold. | | Example: This example retrieves the curve to smooth object of the | hybShpCurveSmooth in AngleThH. | | Dim Curve as CATIAAngle | AngleThH = ybShpCurveSmooth.TangencyThreshold :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_curve_smooth.TangencyThreshold)
def draft_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property DraftAngle() As Angle (Read Only) | | Returns the draft angle. | | Example: | The following example returns in angle the draft angle of the draft | domain firstDraftDomain: | | Set angle = firstDraftDomain.DraftAngle :return: Angle :rtype: Angle """ return Angle(self.draft_domain.DraftAngle)
def instance_spacing(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property InstanceSpacing() As Angle (Read Only) | | Returns the angle at which the pattern spacing is done for unequal angular | spacing mode. | | Example: | The following example returns in AngSpace1 the angular spacing of the | angular repartition firstRepartition: | | Set AngSpace1 = firstRepartition.AngularSpacing :return: Angle :rtype: Angle """ return Angle(self.angular_repartition.InstanceSpacing)
def angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property Angle() As Angle | | Returns or sets the angle used to create the reflectline. | | Example: | This example retrieves in Ang the angle for the RelectLine hybrid shape | feature. | | Dim Ang As CATIAAngle | Set Ang = ReflectLine.Angle :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_reflect_line.Angle)
def angular_spacing(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property AngularSpacing() As Angle (Read Only) | | Returns the angle between two consecutive copies of a shape along the | repartition crown. | | Example: | The following example returns in AngSpace1 the angular spacing of the | angular repartition firstRepartition: | | Set AngSpace1 = firstRepartition.AngularSpacing :return: Angle :rtype: Angle """ return Angle(self.angular_repartition.AngularSpacing)
def start_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property StartAngle() As Angle (Read Only) | | Returns the circle start angle. | | Example: | This example retrieves in ShpCircleStartAngle the end angle of the | ShpCircle hybrid shape circle. | | Dim ShpCircleStartAngle As Angle | ShpCircleStartAngle = ShpCircle.StartAngle :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_circle.StartAngle)
def rotation_angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property RotationAngle() As Angle (Read Only) | | Returns the pattern global rotation angle. The rotation is applied to the | whole pattern, but not to the shapes themselves. The shape to be copied is used | as the rotation center. | | Example: | The following example returns in globAng the rotation of pattern | firstPattern: | | Set globAng = firstPattern.RotationAngle :return: Angle :rtype: Angle """ return Angle(self.pattern.RotationAngle)
def angle(self) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384) | o Property Angle() As Angle (Read Only) | | Returns the chamfer angle. This is valid only if the chamfer is defined | using a length and an angle, that is if the chamfer definition mode | CatChamferMode is set to catLengthAngleChamfer. | | Example: | The following example returns in angle the angle of the firstChamfer | chamfer: | | Set angle = firstChamfer.Angle :return: Angle :rtype: Angle """ return Angle(self.chamfer.Angle)
def get_angle(self, i_i: int) -> Angle: """ .. note:: :class: toggle CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)) | o Func GetAngle(long iI) As Angle | | Returns the angle values useful in some circular sweep | types. | | Parameters: | | iI | The angle value index | | Returns: | The angle value :param int i_i: :return: Angle :rtype: Angle """ return Angle(self.hybrid_shape_sweep_circle.GetAngle(i_i))